/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {ZoneRequest} from "./zoneRequest";
import {FloorRequest} from "./floorRequest";
import {FloorPlanRequest} from "./floorPlanRequest";
import {WorkerRequest} from "./workerRequest";

export class ZoneHistoryRequest {
    public projectId: string;

    public ticks: number;

    public zone: ZoneRequest;

    public floor: FloorRequest;

    public floorPlan: FloorPlanRequest;

    public workers: WorkerRequest[];

    /**
     * Creates a ZoneHistoryRequest.
     *
     * @param {string} projectId
     * @param {number} ticks
     * @param {ZoneRequest} zone
     * @param {FloorRequest} floor
     * @param {FloorPlanRequest} floorPlan
     * @param {WorkerRequest} workers
     */
    constructor(projectId: string, ticks: number, zone: ZoneRequest, floor: FloorRequest, floorPlan: FloorPlanRequest, workers: WorkerRequest[]) {
        this.projectId = projectId;
        this.ticks = ticks;
        this.zone = zone;
        this.floor = floor;
        this.floorPlan = floorPlan;
        this.workers = workers;
    }
}
